<div class="sidebar bg-light">
  <div class="d-flex flex-column flex-shrink-0    main">
    <div class="main__menu-header">
      <div><img src="assets/menu.svg" alt=""></div>
      <div><img src="assets/magnifier.svg" alt=""></div>

    </div>

    <div class="dropdown main__dropdown p-3">
      <a href="#" class="d-flex align-items-center link-dark text-decoration-none dropdown-toggle" id="dropdownUser2"
        data-bs-toggle="dropdown" aria-expanded="false">
        <img src="https://github.com/mdo.png" alt="" class="main__dropdown__userImg me-2">
        <span class="main__dropdown__userName"> John Done</span>
      </a>
      <ul class="dropdown-menu text-small shadow" aria-labelledby="dropdownUser2">

        <li><a class="dropdown-item">Sign out</a></li>
      </ul>
    </div>
    <ul class="nav nav-pills p-3 flex-column mb-auto main__navLinks">

      <li>
        <a class="nav-link link-dark" [routerLink]="['../task-list']" [queryParams]="{all: 'all'}">
          <img src="assets/home.svg" class="main__navLinks__pageIcon" alt="">
          <span class="main__navLinks__pageName">Home</span>
        </a>
      </li>
      <li>
        <a routerLink="categories" [routerLink]="['../task-list']" [queryParams]="{all: 'all'}" class="nav-link link-dark">
          <img class="main__navLinks__pageIcon" src="assets/list.svg" alt="">
          <span class="main__navLinks__pageName">All</span>

        </a>
      </li>
      <li>
        <a routerLink="categories" [routerLink]="['../task-list']" [queryParams]="{today: 'today'}" class="nav-link link-dark">
          <img class="main__navLinks__pageIcon" src="assets/calendar.svg" alt="">
          <span class="main__navLinks__pageName">Today</span>

        </a>
      </li>
      <li>
        <a routerLink="categories" [routerLink]="['../task-list']" [queryParams]="{week: 'week'}" class="nav-link link-dark">
          <img class="main__navLinks__pageIcon" src="assets/calendar-1.svg" alt="">
          <span class="main__navLinks__pageName">Week</span>

        </a>
      </li>
      <li>
        <a routerLink="categories" [routerLink]="['../task-list']" [queryParams]="{status: 'DONE'}" class="nav-link link-dark">
          <img class="main__navLinks__pageIcon" src="assets/check.svg" alt="">
          <span class="main__navLinks__pageName">Done</span>

        </a>
      </li>
      <li>
        <a routerLink="categories"  [routerLink]="['../task-list']" [queryParams]="{deleted: 'deleted'}"   class="nav-link link-dark">
          <img class="main__navLinks__pageIcon" src="assets/delete.svg" alt="">
          <span class="main__navLinks__pageName">Delete</span>

        </a>
      </li>
      <li class="main__navLinks__groupLi" (click)="showAndHideGroups= !showAndHideGroups" [style.background-color]="showAndHideGroups?'#f1fdff' :'#f8f9fa'">
        <a   class="nav-link link-dark">
          <div >

            <img class="main__navLinks__pageIcon" src="assets/folder-white-shape.svg" alt="">
            <span class="main__navLinks__pageName">Groups</span>
          </div>

        </a>
      </li>
      @if(showAndHideGroups){
        <li class="main__navLinks__sublinks" [style.background-color]="showAndHideGroups?'#f1fdff' :'#fff'">
          <ul class="">
            <li><a  class="main__navLinks__pageName" [routerLink]="['../task-list']" [queryParams]="{group: 'Group 1'}"  >Group 1</a></li>
            <li><a class="main__navLinks__pageName" [routerLink]="['../task-list']" [queryParams]="{group: 'Group 2'}" > Group 2</a></li>
            <li><a class="main__navLinks__pageName" [routerLink]="['../task-list']" [queryParams]="{group: 'Group 3'}" > Group 3</a></li>
          </ul>
        </li>
      }

    </ul>


  </div>
</div>
